// Type definitions for ../assets/Plugin/NotificationCenter.js
// Project: [LIBRARY_URL_HERE] 
// Definitions by: [YOUR_NAME_HERE] <[YOUR_URL_HERE]> 
// Definitions: https://github.com/borisyankov/DefinitelyTyped
declare namespace NotificationCenter._observers{
	// NotificationCenter._observers.<i>.<i>
	
	/**
	 * 
	 */
	interface _observersII {
	}
}

/**
 * 一个全局的通知中心
 */
declare var NCKeys : {
		
	/**
	 * 
	 */
	CUR_GUN_INDEX_CHANGED : string;
}

/**
 * 
 */
declare namespace NotificationCenter{
	
	/**
	 * 
	 */
	namespace _observers{
	}
		
	/**
	 * 
	 * @param key 
	 * @param fun 
	 * @param target 
	 */
	function addObserver(key : any, fun : any, target : any): void;
		
	/**
	 * 
	 * @param key 
	 * @param target 
	 */
	function removeObserver(key : any, target : any): void;
		
	/**
	 * 
	 * @param key 
	 * @param data 
	 */
	function postNotice(key : any, data : any): void;
}
